SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPPOREC_RECEIVING_OPTION';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
	from   rcv_parameters rp,
      	     org_organization_definitions ood
      where  rp.organization_id = ood.organization_id
      and    ood.set_of_books_id = (  select set_of_books_id
     							     from   gl_sets_of_books
     								where   upper(short_name) = upper(l_code));
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_RCV_PARAMETERS;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
